std::__detail::_Map_base< _Key, _Pair, _Alloc, _Select1st, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, true > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes

## Public Types

using | iterator = typename __hashtable_base::iterator
using | key_type = typename __hashtable_base::key_type
using | mapped_type = typename std::tuple_element< 1, _Pair >::type

## Public Member Functions

mapped_type & | at (const key_type &__k)
const mapped_type & | at (const key_type &__k) const
mapped_type & | operator[] (const key_type &__k)
mapped_type & | operator[] (key_type &&__k)

## Detailed Description

### template<typename _Key, typename _Pair, typename _Alloc, typename _Equal, typename _H1, typename _H2, typename _Hash, typename _RehashPolicy, typename _Traits>
struct std::__detail::_Map_base< _Key, _Pair, _Alloc, _Select1st, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, true >

Partial specialization, __unique_keys set to true.

Definition at line 649 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h